Subject: WTB Strip razor

From: [email-masked] (John Erdman)
Date: 25 Sep 1996 14:59:15 GMT

I'm building some scientific equipment for a professor at the local University. 

   I have seen, but do not know where to buy razor blade-like material
that comes in long strips. The size I am looking for is approximately 0.5"
wide  x .010" thick, made from stainless steel sharpened along one edge.
Though I only need a 48 inches or so I am willing to buy a whole roll if I
can find it. Any leads as to where to find something like this. My Thomas
register hasn't been much help.

Thanks,
John Erdman
Greenfield Machine Works
Puckerbrush, Maine

-- 
John Erdman
Greenfield Machine Works
"Out in the Puckerbrush"